Bug 1655221 - Encryption prompt caps lock keyboard state
Summary: Encryption prompt caps lock keyboard state
Keywords:
Status: CLOSED DUPLICATE of bug 825406
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth
Version: 30
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-01 13:12 UTC by Steeve McCauley
Modified: 2019-06-12 07:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-12 07:49:21 UTC


Attachments (Terms of Use)

Description Steeve McCauley 2018-12-01 13:12:08 UTC
Description of problem:

With disk encryption enabled the boot prompt provided by plymouth does not show any indication of the state of the caps lock key.

How reproducible:

Every time the caps lock key is turned on.

Steps to Reproduce:
1. accidentally hit caps lock key
2. enter luks password
3. rage at your sysadmin that the system doesn't boot or passphrase is wrong

Actual results:

Fails to accept password with no indication that the caps lock key is toggled on.

Expected results:

Either caps lock is turned off by default or an indication of the caps lock key either by keyboard light or some graphical means, even a message on the details screen might help.

Comment 1 Ben Cotton 2019-05-02 19:17:12 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-02 20:11:53 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Hans de Goede 2019-06-12 07:49:21 UTC
Thank you for your bug-report. We already have a bug open for tracking this, so I'm marking this as a duplicate of that bug.

*** This bug has been marked as a duplicate of bug 825406 ***


Note You need to log in before you can comment on or make changes to this bug.